<?php

namespace Teknisa\PLA\Modules\Medicao\Services;

use Doctrine\ORM\EntityManager;
use Zeedhi\Framework\DataSource;


class Pla01010RateioService
{
    protected $entityManager;
    protected $environment;
    protected $dataSourceManager;

    public function __construct(EntityManager $entityManager, $environment, DataSource\Manager $dataSourceManager)
    {
        $this->entityManager = $entityManager;
        $this->environment = $environment;
        $this->dataSourceManager = $dataSourceManager;
    }

    public function findEfetclie($cdfilial, $cdservfili, $dtefetclie, $cdcliente, $cdservplan) {
        $efetclie = $this->entityManager->getRepository('\Faturamento\Entities\Efetclie')
        ->findOneBy(array("cdfilial" => $cdfilial, "cdservfili" => $cdservfili, "dtefetclie" => $dtefetclie, "cdcliente" => $cdcliente, "cdservplan" => $cdservplan, "nrorg" => $this->environment->getNrOrg()));
        return $efetclie;
    } 

    public function insertEfetclie($cdfilial, $cdservfili, $dtefetclie, $cdcliente, $cdservplan, $qtcomefetcli) {
        $efetclie = new \Faturamento\Entities\Efetclie();
        $efetclie->setCdfilial($cdfilial);
        $efetclie->setCdservfili($cdservfili);
        $efetclie->setDtefetclie($dtefetclie);
        $efetclie->setCdcliente($cdcliente);
        $efetclie->setCdservplan($cdservplan);
        $efetclie->setQtcomefetcli($qtcomefetcli);
        $efetclie->setNrorg($this->environment->getNrOrg());
        $efetclie->setNrorginclusao($this->environment->getNrOrg());
        $efetclie->setNrorgultatu($this->environment->getNrOrg());
        $efetclie->setDtinclusao($this->environment->getCurrentTime());
        $efetclie->setDtultatu($this->environment->getCurrentTime());
        $efetclie->setCdoperinclusao($this->environment->getCdOperador());
        $efetclie->setCdoperultatu($this->environment->getCdOperador());
        $this->entityManager->persist($efetclie);       
    }   
    
    public function editEfetclie($efetclie, $qtcomefetcli) {
        $efetclie->setQtcomefetcli($qtcomefetcli);
        $efetclie->setNrorgultatu($this->environment->getNrOrg());
        $efetclie->setDtultatu($this->environment->getCurrentTime());
        $efetclie->setCdoperultatu($this->environment->getCdOperador());
        $this->entityManager->persist($efetclie);       
    } 

}